[![Drone](https://codefirst.iut.uca.fr/api/badges/nicolas.barbosa/mastermind/status.svg)](https://codefirst.iut.uca.fr/nicolas.barbosa/mastermind)

[![Sonar](https://codefirst.iut.uca.fr/sonar/api/project_badges/measure?project=celestebarbosa-mastermind&metric=alert_status&token=849a6b4d77bc19046c81e8fc8f6be8ec0b8c5f3a)](https://codefirst.iut.uca.fr/sonar/dashboard?id=celestebarbosa-mastermind)

[![Bugs](https://codefirst.iut.uca.fr/sonar/api/project_badges/measure?project=celestebarbosa-mastermind&metric=bugs&token=849a6b4d77bc19046c81e8fc8f6be8ec0b8c5f3a)](https://codefirst.iut.uca.fr/sonar/dashboard?id=celestebarbosa-mastermind)
[![Fiabilité](https://codefirst.iut.uca.fr/sonar/api/project_badges/measure?project=celestebarbosa-mastermind&metric=reliability_rating&token=849a6b4d77bc19046c81e8fc8f6be8ec0b8c5f3a)](https://codefirst.iut.uca.fr/sonar/dashboard?id=celestebarbosa-mastermind)

[![Vulnérabilités](https://codefirst.iut.uca.fr/sonar/api/project_badges/measure?project=celestebarbosa-mastermind&metric=vulnerabilities&token=849a6b4d77bc19046c81e8fc8f6be8ec0b8c5f3a)](https://codefirst.iut.uca.fr/sonar/dashboard?id=celestebarbosa-mastermind)
[![Securité](https://codefirst.iut.uca.fr/sonar/api/project_badges/measure?project=celestebarbosa-mastermind&metric=security_rating&token=849a6b4d77bc19046c81e8fc8f6be8ec0b8c5f3a)](https://codefirst.iut.uca.fr/sonar/dashboard?id=celestebarbosa-mastermind)

[![Risques](https://codefirst.iut.uca.fr/sonar/api/project_badges/measure?project=celestebarbosa-mastermind&metric=security_hotspots&token=849a6b4d77bc19046c81e8fc8f6be8ec0b8c5f3a)](https://codefirst.iut.uca.fr/sonar/dashboard?id=celestebarbosa-mastermind)

[![Dette technique](https://codefirst.iut.uca.fr/sonar/api/project_badges/measure?project=celestebarbosa-mastermind&metric=sqale_index&token=849a6b4d77bc19046c81e8fc8f6be8ec0b8c5f3a)](https://codefirst.iut.uca.fr/sonar/dashboard?id=celestebarbosa-mastermind)
[![Code Smells](https://codefirst.iut.uca.fr/sonar/api/project_badges/measure?project=celestebarbosa-mastermind&metric=code_smells&token=849a6b4d77bc19046c81e8fc8f6be8ec0b8c5f3a)](https://codefirst.iut.uca.fr/sonar/dashboard?id=celestebarbosa-mastermind)
[![Maintenabilité](https://codefirst.iut.uca.fr/sonar/api/project_badges/measure?project=celestebarbosa-mastermind&metric=sqale_rating&token=849a6b4d77bc19046c81e8fc8f6be8ec0b8c5f3a)](https://codefirst.iut.uca.fr/sonar/dashboard?id=celestebarbosa-mastermind)

[![Tests](https://codefirst.iut.uca.fr/sonar/api/project_badges/measure?project=celestebarbosa-mastermind&metric=coverage&token=849a6b4d77bc19046c81e8fc8f6be8ec0b8c5f3a)](https://codefirst.iut.uca.fr/sonar/dashboard?id=celestebarbosa-mastermind)
[![Lignes dupliquées (%)](https://codefirst.iut.uca.fr/sonar/api/project_badges/measure?project=celestebarbosa-mastermind&metric=duplicated_lines_density&token=849a6b4d77bc19046c81e8fc8f6be8ec0b8c5f3a)](https://codefirst.iut.uca.fr/sonar/dashboard?id=celestebarbosa-mastermind)
[![Nombre de lignes](https://codefirst.iut.uca.fr/sonar/api/project_badges/measure?project=celestebarbosa-mastermind&metric=ncloc&token=849a6b4d77bc19046c81e8fc8f6be8ec0b8c5f3a)](https://codefirst.iut.uca.fr/sonar/dashboard?id=celestebarbosa-mastermind)

---

# Mastermind - Projet IHM

**Céleste BARBOSA**\
**Pauline PRADY**\
**Camille TURPIN-ETIENNE**

---

## Réalisation d'un jeu vidéo en .NET, C# & MAUI

### Rendu jalon 2

#### Conception
Voici le lien d'accès à notre [conception](https://codefirst.iut.uca.fr/git/nicolas.barbosa/mastermind/wiki/Conception) disponible sur le wiki.

Le wiki dispose d'un sommaire permettant de naviguer facilement entre les différentes parties qui les composent.


#### Release
Vous trouverez en cliquant sur le lien ci-dessous, la version de notre application pour le jalon 2 téléchargeable.

Sinon, la branche master contient également la dernière version du projet.

[Mastermind jalon 2](https://codefirst.iut.uca.fr/git/nicolas.barbosa/mastermind/releases/tag/alpha1)


#### Documentation
Pour accéder à la documentation doxygen de notre code, vous pouvez cliquer sur le lien ci-dessous.

[Documentation](https://codefirst.iut.uca.fr/documentation/nicolas.barbosa/doxygen/mastermind/html/)


#### Ce qui fonctionne
Dans notre application Mastermind, nous avons une application console fonctionnelle à deux joueurs pour des règles classiques.


#### Ce qui ne fonctionne pas et ce qui ne fonctionne pas tout à fait
Selon nous, nous ne pensons pas qu'il y ait un quelconque problème dans notre code.

Nous n'avons pas trouvé de bug ou de fonctionnalité qui ne fonctionnait pas.


#### Mode d'emploi pour jouer
Pour jouer, il vous suffit de lancer ConsoleApp. Une fois lancer, il vous sera demandé de rentrer les noms des deux joueurs s'affrontant. Les noms sont rentrés, la partie se lance. Le joueur numéro un est toujours la première personne à commencer.

Pour composer son code :

Vous pouvez changer la couleur de votre jeton actuel en utilisant les flèches de gauche ou de droite présente sur votre clavier.

Si vous faites une erreur et que vous souhaiter effacer le dernier jeton entré, il vous suffit de cliquer sur la touche Echap et le jeton sera supprimé. Il vous est possible de cliqué sur la touche Echap jusqu'à ne plus avoir de jeton séléctionné.

Une fois, la combinaison désirée, cliquée sur la touche Entrée et votre combinaison sera enregistrée.

Dès la combinaison validée, le tour passe au joueur suivant, qui répète les mêmes actions présentées ci-dessus.

Une fois le tour du joueur adverse passé, il vous est possible de voir vos anciennes tentatives et à côté d'elles des indicateurs.

Un indicateur noir signifie qu'une des couleurs est à la bonne place et un indicateur blanc signifie qu'une des couleurs existe dans le code secret.

Pour terminer une partie, il faut soit faire le nombre de tours maximum, dans notre cas douze, ou que l'un des joueurs trouve la combinaison secrète, ou bien qu'il y ait une égalité entre les deux joueurs.

#### Sonar
Pour accéder à sonar, il vous suffit de cliquer sur le lien ci-dessous.

[Sonar de notre projet](https://codefirst.iut.uca.fr/sonar/dashboard?id=celestebarbosa-mastermind)
