﻿using System.Runtime.Serialization;

namespace CoreLibrary.Regles
{
    [DataContract]
    public class ReglesClassiques : IRegles
    {
        public string Nom => "Règles classiques";
        public int NbJoueurs => 2;
        public int NbTour => 12;
        public int TailleCode => 4;

        public override bool Equals(object? obj)
        {
            if (obj == null || obj is not ReglesClassiques) return false;
            return true;
        }

        public override int GetHashCode()
        {
            return HashCode.Combine(Nom, NbJoueurs, NbTour, TailleCode);
        }
    }
}
