﻿using CoreLibrary.Core;
using CoreLibrary.Joueurs;

namespace CoreLibrary.Evenements
{
    public class PartieNouveauTourEventArgs : EventArgs
    {
        public int Tour { get; private init; }
        public Joueur Joueur { get; private init; }
        public Plateau Plateau {  get; private init; }
        public Code Code { get; private init; }

        public PartieNouveauTourEventArgs(int tour, Joueur joueur, Plateau plateau, Code code)
        {
            Tour = tour;
            Joueur = joueur;
            Plateau = plateau;
            Code = code;
        }
    }
}
