﻿using CoreLibrary.Joueurs;

namespace CoreLibrary.Evenements
{
    public class PartiePartieTermineeEventArgs : EventArgs
    {
        public IReadOnlyList<Joueur> Gagnants { get; private init; }
        public IReadOnlyList<Joueur> Perdants { get; private init; }

        public PartiePartieTermineeEventArgs(IReadOnlyList<Joueur> gagnants, IReadOnlyList<Joueur> perdants)
        {
            Gagnants = gagnants;
            Perdants = perdants;
        }
    }
}
