using CoreLibrary;
using CoreLibrary.Regles;

namespace MauiSpark.Pages;

public partial class ModePage : ContentPage
{
    public ModePage()
	{
        NavigationPage.SetHasNavigationBar(this, false);

        InitializeComponent();
	}

	private void QuandReglesPresse(Object sender, EventArgs e)
	{
        Partie partie;

        if (sender.Equals(ReglesClassiques))
            partie = MauiProgram.Manageur.NouvellePartie(new ReglesClassiques());
        else
            return;

        partie.PartieDemanderJoueur += new ConnexionPage().QuandDemanderNom;
        partie.PartieNouveauTour += new PlateauPage().QuandNouveauTour;
        partie.PartiePartieTerminee += new VictoirePage().QuandPartieTerminee;

        partie.Jouer();
    }
}