namespace MauiSpark.Pages;

internal class Regles
{
	public string Titre { get; init; } = "";
    public string Description { get; init; } = "";
}

public partial class ReglesPage : ContentPage
{
	private static readonly Regles reglesClassiques = new Regles() 
	{ 
		Titre = "Rgles classiques",
		Description = "Le but du jeu est de dcouvrir la combinaison. On gnre alatoirement deux combinaisons de 4 couleurs (six couleurs au total : jaune, bleu, rouge, vert, blanc et noir), une combinaison pour chaque joueur. Deux joueurs se battent pour trouver la combinaison en premier, il y a douze tours. Le premier joueur  trouver la combinaison  gagner, chaque joueur a le mme nombre de coups  raliser. Donc si le joueur un  trouv la solution au bout de huit coups, le joueur deux doit finir son huitime coup. Si le joueur deux trouve la combinaison, les deux joueurs sont  galit. Sinon, le joueur un gagne. Pour trouver la combinaison, les joueurs disposent de quatre indicateurs. Ces indicateurs sont quatre ronds qui reprsentent les quatre couleurs slectionnes par le joueur. Un rond noir signifie quune couleur est  la bonne place, un rond blanc correspond  une mauvaise place et s'il ny a pas dindicateur aucune des couleurs nest prsentent dans la combinaison."
    };

	public ReglesPage()
	{
		NavigationPage.SetHasNavigationBar(this, false);

		BindingContext = (Regles[])[
            reglesClassiques
        ];

		InitializeComponent();
	}
}